using System;
using System.Windows.Forms;

namespace VideoCaptureLibraryDemo
{
    public partial class PreviewFrameRateDialog : Form
    {
        public PreviewFrameRateDialog()
        {
            InitializeComponent();
            okButton.DialogResult = DialogResult.OK;
            cancelButton.DialogResult = DialogResult.Cancel;
        }

        public void GetData(out int previewFrameRate)
        {
            switch (previewFrameRateComboBox.SelectedItem.ToString())
            {
                case "1 Frames Per Second":
                    previewFrameRate = 1;
                    break;
                case "5 Frames Per Second":
                    previewFrameRate = 5;
                    break;
                case "10 Frames Per Second":
                    previewFrameRate = 10;
                    break;
                case "12 Frames Per Second":
                    previewFrameRate = 12;
                    break;
                case "15 Frames Per Second":
                    previewFrameRate = 15;
                    break;
                case "20 Frames Per Second":
                    previewFrameRate = 20;
                    break;
                case "25 Frames Per Second":
                    previewFrameRate = 25;
                    break;
                case "30 Frames Per Second":
                    previewFrameRate = 30;
                    break;
                case "60 Frames Per Second":
                    previewFrameRate = 60;
                    break;
                default:
                    previewFrameRate = 25;
                    break;
            }
        }

        public void SetData(int previewFrameRate)
        {
            previewFrameRateComboBox.SelectedItem = previewFrameRate.ToString() + " Frames Per Second";
        }
    }
}